*  
*
*  Define HC12 I/O register locations (C32)
*
REGBS           EQU $0000    ; C32 register bank base address
*
PORTA:          EQU REGBS+0   ;port A = Address lines A8 - A15
PORTB:          EQU REGBS+1   ;port B = Address lines A0 - A7
DDRA:           EQU REGBS+2   ;port A direction register
DDRB:           EQU REGBS+3   ;port A direction register
;               equ REGBS+4   ; reserved
;               equ REGBS+5   ; reserved
;               equ REGBS+6   ; reserved
;               equ REGBS+7   ; reserved






PORTK:		EQU REGBS+$32 ;Port K data
DDRK:		EQU REGBS+$33 ;Port K direction


ATD0CTL0:       EQU REGBS+$80 ;ADC control 0 (reserved)
ATD0CTL1:       EQU REGBS+$81 ;ADC control 1 (reserved)
ATD0CTL2:       EQU REGBS+$82 ;ADC control 2
ATD0CTL3:       EQU REGBS+$83 ;ADC control 3
ATD0CTL4:       EQU REGBS+$84 ;ADC control 4
ATD0CTL5:       EQU REGBS+$85 ;ADC control 5
ATD0STAT:       EQU REGBS+$86 ;ADC status register hi
*ATD0STAT       EQU REGBS+$87 ;ADC status register lo
ATD0TEST:       EQU REGBS+$88 ;ADC test (reserved)
*ATD0TEST       EQU REGBS+$89 ;

ATD0DIEN:	EQU REGBS+$8D ;
 
PORTAD:         EQU REGBS+$8F ;port ADC = input only
ADR00H:         EQU REGBS+$90 ;ADC result 0 register
ADR01H:         EQU REGBS+$92 ;ADC result 1 register
ADR02H:         EQU REGBS+$94 ;ADC result 2 register
ADR03H:         EQU REGBS+$96 ;ADC result 3 register
ADR04H:         EQU REGBS+$98 ;ADC result 4 register
ADR05H:         EQU REGBS+$9A ;ADC result 5 register
ADR06H:         EQU REGBS+$9C ;ADC result 6 register
ADR07H:         EQU REGBS+$9E ;ADC result 7 register


SC0BDH:         EQU REGBS+$C8 ;sci 0 baud reg hi byte
SC0BDL:         EQU REGBS+$C9 ;sci 0 baud reg lo byte
SC0CR1:         EQU REGBS+$CA ;sci 0 control1 reg
SC0CR2:         EQU REGBS+$CB ;sci 0 control2 reg
SC0SR1:         EQU REGBS+$CC ;sci 0 status reg 1
SC0SR2:         EQU REGBS+$CD ;sci 0 status reg 2
SC0DRH:         EQU REGBS+$CE ;sci 0 data reg hi
SC0DRL:         EQU REGBS+$CF ;sci 0 data reg lo
SC1BDH:         EQU REGBS+$DO ;sci 1 baud reg hi byte
SC1BDL:         EQU REGBS+$D1 ;sci 1 baud reg lo byte
SC1CR1:         EQU REGBS+$D2 ;sci 1 control1 reg
SC1CR2:         EQU REGBS+$D3 ;sci 1 control2 reg
SC1SR1:         EQU REGBS+$D4 ;sci 1 status reg 1
SC1SR2:         EQU REGBS+$D5 ;sci 1 status reg 2
SC1DRH:         EQU REGBS+$D6 ;sci 1 data reg hi
SC1DRL:         EQU REGBS+$D7 ;sci 1 data reg lo
SPI0CR1:        EQU REGBS+$D8 ;spi 0 control1 reg
SPI0CR2:        EQU REGBS+$D9 ;spi 0 control2 reg
SPI0BR:         EQU REGBS+$DA ;spi 0 baud reg
SPI0SR:         EQU REGBS+$DB ;spi 0 status reg hi

SP0DR:          EQU REGBS+$DD ;spi 0 data reg


SPI1CR1:        EQU REGBS+$F0 ;spi 1 control1 reg
SPI1CR2:        EQU REGBS+$F1 ;spi 1 control2 reg
SPI1BR:         EQU REGBS+$F2 ;spi 1 baud reg
SPI1SR:         EQU REGBS+$F3 ;spi 1 status reg hi

SP1DR:          EQU REGBS+$F5 ;spi 1 data reg

SPI2CR1:        EQU REGBS+$F8 ;spi 2 control1 reg
SPI2CR2:        EQU REGBS+$F9 ;spi 2 control2 reg
SPI2BR:         EQU REGBS+$FA ;spi 2 baud reg
SPI2SR:         EQU REGBS+$FB ;spi 2 status reg hi

SP2DR:          EQU REGBS+$FD ;spi 2 data reg



ATD1CTL0:       EQU REGBS+$120 ;ADC1 control 0 (reserved)
ATD1CTL1:       EQU REGBS+$121 ;ADC1 control 1 (reserved)
ATD1CTL2:       EQU REGBS+$122 ;ADC1 control 2
ATD1CTL3:       EQU REGBS+$123 ;ADC1 control 3
ATD1CTL4:       EQU REGBS+$124 ;ADC1 control 4
ATD1CTL5:       EQU REGBS+$125 ;ADC1 control 5
ATD1STAT:       EQU REGBS+$126 ;ADC1 status register hi
*ATD1STAT       EQU REGBS+$127 ;ADC1 status register lo
ATD1TEST:       EQU REGBS+$128 ;ADC1 test (reserved)
*ATD1TEST       EQU REGBS+$129 ;

ATDDIEN:	EQU REGBS+$12D ;ADC1 INPUT ENABLE REGISTER

PORTAD1:        EQU REGBS+$12F    ;port ADC1 = input only
ADR10H:         EQU REGBS+$130    ;ADC1 result 0 register
ADR11H:         EQU REGBS+$132    ;ADC1 result 1 register
ADR12H:         EQU REGBS+$134    ;ADC1 result 2 register
ADR13H:         EQU REGBS+$136    ;ADC1 result 3 register
ADR14H:         EQU REGBS+$138    ;ADC1 result 4 register
ADR15H:         EQU REGBS+$13A    ;ADC1 result 5 register
ADR16H:         EQU REGBS+$13C    ;ADC1 result 6 register
ADR17H:         EQU REGBS+$13E    ;ADC1 result 7 register

PTM:            equ REGBS+$250    ; Port M
PTIM:           equ REGBS+$251    ; 
DDRM:           equ REGBS+$252    ; Direction Port M

PTP:            equ REGBS+$258    ; Port P 
PTIP:           equ REGBS+$259    ; Port P input
DDRP:           equ REGBS+$25A    ; Direction
RDRP:           equ REGBS+$25B    ;
PERP:           equ REGBS+$25C    ;
PPSP:           equ REGBS+$25D    ;
PIEP:           equ REGBS+$25E    ;
PIFP:           equ REGBS+$25F    ;




* End registers