;  klcd_Ser.ASM
;	Example program using the KEYPAD and LCD_PORT
;     serial interface on the Axiom
;       CMD912X & Cml12S
;

; Memory Map Equates
;STACK:         equ     RAMSTRT+RAMSIZE-2 ; top of stack
;PRGSTRT:       equ     $4000      ; Program start External Memory
PRGSTRT:        equ     $0800      ; Program start Internal Memory
RAMSTRT:        equ     $0800      ; Internal Ram
RAMSIZE:        equ     $0800      ; 2k ram
#include        c32reg.asm         ; include register equates

; RAM
        

;**********************
; Program starts here *
;**********************

        ORG     PRGSTRT
         jmp    START    ; jump over var's
CNT1	  RMB	1	       ; temporary count variable
TMP1	  RMB	1	       ; temporary storage variable
OLDKEY  RMB	1	       ; save key value for debounce


START:

;        lds     #STACK  ; initialize stack pointer (don't do this if under monitor)
; Initialize KEYPAD
        jsr   INITKEY    ;

; Initialize LCD
        jsr   LCD_TST   ; Initialize LCD

MainLoop:
	  jsr   GETKEY	; get a key from keypad, returned in A
	  jsr   LCD_OUT	; display key value
	  bra   MainLoop

;ENDPROG:
;
;**************
; TEXT TABLES *
;**************
PMT:    FCC   'Press Key: '
        FCB     0


;*******************
;   INCLUDE FILES
;*******************
#include        lcd_ser.asm     ; include serial Lcd functions
#include        key_324.asm     ; include KEYPAD functions


        END


